#define TP_IRQ_port       GPIOC
#define TP_IRQ_pin        GPIO_Pin_13
#define TP_IRQ_EXTI_line  EXTI_Line13
#define TP_IRQ_EXTI_port  EXTI_PortSourceGPIOC
#define TP_IRQ_EXTI_pin   EXTI_PinSource13

#define MT9D111_I2C I2C1

/*
DCMI - modCAM_2MP_2
FSMC - modTFT32T
I2C1 - modCAM2

..::DCMI::..
PB7 - DCMI_VSYNC
PA4 - DCMI_HSYNC
PA6 - DCMI_PIXCLK
PC6 - DCMI_D0
PC7 - DCMI_D1
PE0 - DCMI_D2
PE1 - DCMI_D3
PE4 - DCMI_D4
PB6 - DCMI_D5
PE5 - DCMI_D6
PE6 - DCMI_D7

..::FSMC::..
PD13- LCD_RESET
PD7 - FSMC_NE1 / nCS
PD11- FSMC_A16 / RS
PD4 - FSMC_NOE / nRD
PD5 - FSMC_NWE / nWR
PD14- FSMC_D0
PD15- FSMC_D1
PD0 - FSMC_D2
PD1 - FSMC_D3
PE7 - FSMC_D4
PE8 - FSMC_D5
PE9 - FSMC_D6
PE10- FSMC_D7
PE11- FSMC_D8
PE12- FSMC_D9
PE13- FSMC_D10
PE14- FSMC_D11
PE15- FSMC_D12
PD8 - FSMC_D13
PD9 - FSMC_D14
PD10- FSMC_D15

..::I2C1::..
PB8 - I2C1_SCL
PB9 - I2C1_SDA
*/

/*
PA0 - free
PA1 - free 
PA2 - free
PA3 - free
PA4 - DCMI_HSYNC
PA5 - free
PA6 - DCMI_PIXCLK
PA7 - free
PA8 - MCO1
PA9 - free
PA10- free
PA11- OTG_FS_DM
PA12- OTG_FS_DP
PA13- JTMS
PA14- JTCK
PA15- JTDI

PB0 - free
PB1 - free
PB2 - BOOT1
PB3 - JTAG
PB4 - JTAG
PB5 - free
PB6 - DCMI_D5
PB7 - DCMI_VSYNC
PB8 - I2C1_SCL
PB9 - I2C1_SDA
PB10- free
PB11- free
PB12- free
PB13- free
PB14- free
PB15- free

PC0 - free
PC1 - free
PC2 - free
PC3 - free
PC4 - free
PC5 - free
PC6 - DCMI_D0
PC7 - DCMI_D1
PC8 - free
PC9 - free
PC10- free
PC11- free
PC12- free
PC13- TP_IRQ
PC14- free
PC15- free

PD0 - FSMC_D2
PD1 - FSMC_D3
PD2 - free
PD3 - free
PD4 - FSMC_NOE / nRD
PD5 - FSMC_NWE / nWR
PD6 - free
PD7 - FSMC_NE1 / nCS
PD8 - FSMC_D13
PD9 - FSMC_D14
PD10- FSMC_D15
PD11- FSMC_A16 / RS
PD12- free
PD13- LCD_RESET
PD14- FSMC_D0
PD15- FSMC_D1

PE0 - DCMI_D2
PE1 - DCMI_D3
PE2 - free
PE3 - free
PE4 - DCMI_D4
PE5 - DCMI_D6
PE6 - DCMI_D7
PE7 - FSMC_D4
PE8 - FSMC_D5
PE9 - FSMC_D6
PE10- FSMC_D7
PE11- FSMC_D8
PE12- FSMC_D9
PE13- FSMC_D10
PE14- FSMC_D11
PE15- FSMC_D12
*/
